const FMT_VER_0 = 0
const FMT_VER_LATEST = FMT_VER_0

function migrate_A_to_0(e: journey): journey {
    e.title = (e as any).name;
    e.main.forEach((v) => {
        v.date_range = v.date_range || (v as any).dateRange;
        v.day_title = v.day_title || (v as any).step_title;
        v.places.activities = v.places.activities || (v as any).places.places;
        v.travel = v.travel || [];
        v.day_title = typeof (v.day_title) == "string" ? [v.day_title] : []
    })
    console.log(e)
    return e;
}

export const migrator = (e: journey): journey => {
    if (e.fmt_ver == FMT_VER_LATEST) return e;
    switch (e.fmt_ver) {
        case FMT_VER_0: break; // Update when FMT_VER_1 releases
        default:
            return migrate_A_to_0(e)
    }
    return e;
}